curl --request GET \
--url https://api.similarweb.com/v4/website/{domain_name}/search-competitors/paidsearchcompetitorsimport requests
url = "https://api.similarweb.com/v4/website/{domain_name}/search-competitors/paidsearchcompetitors"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.similarweb.com/v4/website/{domain_name}/search-competitors/paidsearchcompetitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.similarweb.com/v4/website/{domain_name}/search-competitors/paidsearchcompetitors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.similarweb.com/v4/website/{domain_name}/search-competitors/paidsearchcompetitors"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.similarweb.com/v4/website/{domain_name}/search-competitors/paidsearchcompetitors")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.similarweb.com/v4/website/{domain_name}/search-competitors/paidsearchcompetitors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body"{\n \"meta\": {\n \"query\": {\n \"limit\": 100,\n \"offset\": 0,\n \"asc\": null,\n \"sort\": null\n },\n \"request\": {\n \"main_domain_only\": false,\n \"show_verified\": false,\n \"state\": null,\n \"format\": \"json\",\n \"domain\": \"cnn.com\",\n \"start_date\": \"2023-01-01\",\n \"end_date\": \"2023-03-31\",\n \"country\": \"us\"\n },\n \"status\": \"Success\"\n },\n \"data\": [\n {\n \"url\": \"couponboa.com\",\n \"score\": 1.60356309174151,\n \"shared_keywords\": 0.75\n },\n {\n \"url\": \"dealsdiscountcode.com\",\n \"score\": 1.414208477577366,\n \"shared_keywords\": 0.375\n },\n {\n \"url\": \"infinitevouchers.com\",\n \"score\": 0.9701373018650982,\n \"shared_keywords\": 0.2857142857142857\n },\n {\n \"url\": \"couponfreecodes.com\",\n \"score\": 0.6488776322716807,\n \"shared_keywords\": 0.07142857142857142\n },\n {\n \"url\": \"coupontemple.com\",\n \"score\": 0.6246866662387317,\n \"shared_keywords\": 0.06451612903225806\n },\n {\n \"url\": \"foreo.com\",\n \"score\": 0.6246866662387317,\n \"shared_keywords\": 0.06451612903225806\n },\n {\n \"url\": \"shipthedeal.com\",\n \"score\": 0.42531032018892073,\n \"shared_keywords\": 0.015873015873015872\n },\n {\n \"url\": \"alrigh.com\",\n \"score\": 0.3980015176533657,\n \"shared_keywords\": 0.02197802197802198\n },\n {\n \"url\": \"couponmonger.com\",\n \"score\": 0.365140989863244,\n \"shared_keywords\": 0.05\n },\n {\n \"url\": \"couponkind.com\",\n \"score\": 0.24998911907822927,\n \"shared_keywords\": 0.018518518518518517\n },\n {\n \"url\": \"couponfollow.com\",\n \"score\": 0.15449877125309963,\n \"shared_keywords\": 0.0030303030303030303\n },\n {\n \"url\": \"couponcause.com\",\n \"score\": 0.12800447242618254,\n \"shared_keywords\": 0.0013729977116704805\n }\n ],\n \"global_ranking\": 90,\n \"category\": \"News_and_Media\",\n \"category_ranking\": 13\n}"SERP Players
Returns a list of websites that are competing for the same paid keywords as the given domain, overlap score and % of shared keywords.
curl --request GET \
--url https://api.similarweb.com/v4/website/{domain_name}/search-competitors/paidsearchcompetitorsimport requests
url = "https://api.similarweb.com/v4/website/{domain_name}/search-competitors/paidsearchcompetitors"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.similarweb.com/v4/website/{domain_name}/search-competitors/paidsearchcompetitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.similarweb.com/v4/website/{domain_name}/search-competitors/paidsearchcompetitors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.similarweb.com/v4/website/{domain_name}/search-competitors/paidsearchcompetitors"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.similarweb.com/v4/website/{domain_name}/search-competitors/paidsearchcompetitors")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.similarweb.com/v4/website/{domain_name}/search-competitors/paidsearchcompetitors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body"{\n \"meta\": {\n \"query\": {\n \"limit\": 100,\n \"offset\": 0,\n \"asc\": null,\n \"sort\": null\n },\n \"request\": {\n \"main_domain_only\": false,\n \"show_verified\": false,\n \"state\": null,\n \"format\": \"json\",\n \"domain\": \"cnn.com\",\n \"start_date\": \"2023-01-01\",\n \"end_date\": \"2023-03-31\",\n \"country\": \"us\"\n },\n \"status\": \"Success\"\n },\n \"data\": [\n {\n \"url\": \"couponboa.com\",\n \"score\": 1.60356309174151,\n \"shared_keywords\": 0.75\n },\n {\n \"url\": \"dealsdiscountcode.com\",\n \"score\": 1.414208477577366,\n \"shared_keywords\": 0.375\n },\n {\n \"url\": \"infinitevouchers.com\",\n \"score\": 0.9701373018650982,\n \"shared_keywords\": 0.2857142857142857\n },\n {\n \"url\": \"couponfreecodes.com\",\n \"score\": 0.6488776322716807,\n \"shared_keywords\": 0.07142857142857142\n },\n {\n \"url\": \"coupontemple.com\",\n \"score\": 0.6246866662387317,\n \"shared_keywords\": 0.06451612903225806\n },\n {\n \"url\": \"foreo.com\",\n \"score\": 0.6246866662387317,\n \"shared_keywords\": 0.06451612903225806\n },\n {\n \"url\": \"shipthedeal.com\",\n \"score\": 0.42531032018892073,\n \"shared_keywords\": 0.015873015873015872\n },\n {\n \"url\": \"alrigh.com\",\n \"score\": 0.3980015176533657,\n \"shared_keywords\": 0.02197802197802198\n },\n {\n \"url\": \"couponmonger.com\",\n \"score\": 0.365140989863244,\n \"shared_keywords\": 0.05\n },\n {\n \"url\": \"couponkind.com\",\n \"score\": 0.24998911907822927,\n \"shared_keywords\": 0.018518518518518517\n },\n {\n \"url\": \"couponfollow.com\",\n \"score\": 0.15449877125309963,\n \"shared_keywords\": 0.0030303030303030303\n },\n {\n \"url\": \"couponcause.com\",\n \"score\": 0.12800447242618254,\n \"shared_keywords\": 0.0013729977116704805\n }\n ],\n \"global_ranking\": 90,\n \"category\": \"News_and_Media\",\n \"category_ranking\": 13\n}"Path Parameters
Query Parameters
Your Similarweb API key.
Start month (format: YYYY-MM)
End month (format: YYYY-MM)
Country filter, as a 2-letter ISO country code, or "world" for worldwide. To see the country filters you have access to, please refer to the Check Capabilities endpoint.
[optional] Return values for the main domain only ('true'), or include also the subdomains ('false').
[optional] Format in which the reply should be returned. Possible values: 'json' (default) or 'xml'.
[optional] Select the number of results that are returned. Default: 100.
[optional] Specify an offset from where to start returning data.
[optional] The metric you'd like the results to be ordered by.
[optional] The order of results. Enter "true" for ascending, or "false" for descending.